drop if exists table sysmt_id;
create table sysmt_id ( id string(10), idval int);

insert into sysmt_id values ( 'FID', 10000 );
insert into sysmt_id values ( 'XID', 10000 );
insert into sysmt_id values ( 'GID', 10000 );
insert into sysmt_id values ( 'UID', 10000 );
insert into sysmt_id values ( 'HID', 10000 );
insert into sysmt_id values ( 'PID', 10000 );

drop if exists table sysmt_user;
create table sysmt_user ( uid int not null, dbuser string(30), username string(100));
create primary index on sysmt_user(uid);
create unique index sysmt_user_i1 on sysmt_user(dbuser);


drop if exists procedure nextId;
@
create procedure nextId(id in string(30)) return int
begin
   var idval int;
   update sysmt_id set idval=idval + 1 where id = :id return :idval = idval;
   return :idval;
end;
@

drop if exists procedure newUser;
@
create procedure newUser(dbuser in string(20), username in string(20), num in int)
begin
	var uid int;
	var i int;
	var u string(50);

	:i = 0;
	while :i < :num
	begin
		:uid = nextId('UID');
		:u = :dbuser | :uid;		
		insert into sysmt_user ( uid, dbuser, username )
			values (:uid, :u, :username );
		:i = :i +1;
	end;
end;            
@
select * from sysmt_user;